/*
 File: enumerate_T_alphabetsym.cpp
 Date and Time: Fri Jan 30 18:55:09 2015 
*/
#include "enumerate_T_alphabet.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_enumerate_T_alphabet;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
Cenumerate_T_alphabet::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Renumerate_T_alphabet_:{
       Renumerate_T_alphabet* sym;
     if(re->rule_ == 0){
       sym = new Renumerate_T_alphabet(parser__);
       re->rule_ = sym;
     }else{
       sym = (Renumerate_T_alphabet*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 4;
    

     sym->sr1();
     return;}
    case rhs1_Renum_lrk_:{
       Renum_lrk* sym;
     if(re->rule_ == 0){
       sym = new Renum_lrk(parser__);
       re->rule_ = sym;
     }else{
       sym = (Renum_lrk*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     sym->sr1();
     return;}
    case rhs1_Renum_rc_:{
       Renum_rc* sym;
     if(re->rule_ == 0){
       sym = new Renum_rc(parser__);
       re->rule_ = sym;
     }else{
       sym = (Renum_rc*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     sym->sr1();
     return;}
    case rhs1_Renum_T_:{
       Renum_T* sym;
     if(re->rule_ == 0){
       sym = new Renum_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Renum_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     sym->sr1();
     return;}
    case rhs1_Renum_err_:{
       Renum_err* sym;
     if(re->rule_ == 0){
       sym = new Renum_err(parser__);
       re->rule_ = sym;
     }else{
       sym = (Renum_err*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     sym->sr1();
     return;}
    default: return;
   }
}
